package com.rthoni.intellij.codefromds.dbo.template;

import java.util.List;
import java.util.Vector;

/**
 * Created by robin on 4/13/17.
 */
public class StoredProcedureDbo {

    private String _name;

    private List<StoredProcedureArgDbo> _arguments = new Vector<>();

    private SqlTypeDbo _sqlType;

    private boolean _isSelected;

    private String _fullName;

    public String getName() {
        return _name;
    }

    public void setName(String name) {
        _name = name;
    }

    public List<StoredProcedureArgDbo> getArguments() {
        return _arguments;
    }

    public void addArgument(StoredProcedureArgDbo arguments) {
        _arguments.add(arguments);
    }

    public String getType() {
        return _sqlType != null ? _sqlType.getLanguageType() : null;
    }

    public SqlTypeDbo getSqlType() {
        return _sqlType;
    }

    public void setSqlType(SqlTypeDbo sqlType) {
        _sqlType = sqlType;
    }

    public boolean isSelected() {
        return _isSelected;
    }

    public void setSelected(boolean selected) {
        _isSelected = selected;
    }

    public String getFullName() {
        return _fullName;
    }

    public void setFullName(String fullName) {
        _fullName = fullName;
    }
}
